"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PactV4 = void 0;
var pact_core_1 = require("@pact-foundation/pact-core");
var http_1 = require("./http");
var package_json_1 = require("../../package.json");
var message_1 = require("./message");
var v3_1 = require("../v3");
var PactV4 = /** @class */ (function () {
    function PactV4(opts) {
        var _a;
        this.opts = opts;
        if (!process.env.ENABLE_FEATURE_V4) {
            throw Error("The v4 package is currently in beta and requires the 'ENABLE_FEATURE_V4' environment variable to be set");
        }
        this.pact = (0, pact_core_1.makeConsumerPact)(opts.consumer, opts.provider, (_a = opts.spec) !== null && _a !== void 0 ? _a : v3_1.SpecificationVersion.SPECIFICATION_VERSION_V4, opts.logLevel);
        this.pact.addMetadata('pact-js', 'version', package_json_1.version);
    }
    PactV4.prototype.addInteraction = function () {
        return new http_1.UnconfiguredInteraction(this.pact, this.pact.newInteraction(''), this.opts);
    };
    PactV4.prototype.addSynchronousInteraction = function (description) {
        return new message_1.UnconfiguredSynchronousMessage(this.pact, this.pact.newSynchronousMessage(description), this.opts);
    };
    return PactV4;
}());
exports.PactV4 = PactV4;
//# sourceMappingURL=index.js.map